authbind_2.1.1+nmu1_amd64.deb


Advertisement

Description

authbind - Allows non-root programs to bind() to low ports

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Main amd64
Package name: authbind
Package version: 2.1.1+nmu1
Package release:
Package architecture: amd64
Package type: deb
Installed size: 63 B
Download size: 17.23 KB
Official Mirror: archive.ubuntu.com
This package allows a package to be started as non-root but still bind to low ports, without any changes to the application.

Alternatives

Requires

    Download

    Source package: authbind

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install authbind deb package:
      # sudo apt-get install authbind

    Files

    • /usr/bin/authbind
    • /usr/lib/authbind/helper
    • /usr/lib/authbind/libauthbind.so.1
    • /usr/lib/authbind/libauthbind.so.1.0
    • /usr/share/doc/authbind/changelog.gz
    • /usr/share/doc/authbind/copyright
    • /usr/share/man/man1/authbind.1.gz
    • /usr/share/man/man8/authbind-helper.8.gz

    Changelog

    2015-07-26 - Johannes Schauer <josch@debian.org> authbind (2.1.1+nmu1) unstable; urgency=medium * Non-maintainer upload. * Fix mtimes before building binary packages to produce reproducible output Based on patch by akira (Closes: #792945)

    2012-06-10 - Ian Jackson <ijackson@chiark.greenend.org.uk> authbind (2.1.1) unstable; urgency=low * Manpage has an example of which files will be checked and read Closes: #676540. * Do not include library version number in usage output from helper; the library and package version numbers are not the same, so this is misleading, and we do not want to introduce new machinery just to plumb the package version number through. Closes: #676440. * Another minor wording fix in the manpage.x

    2012-06-03 - Ian Jackson <ijackson@chiark.greenend.org.uk> authbind (2.1.0) unstable; urgency=low * Permissions file lines can contain IPv6 mask/length. * Permissions file lines need only contain one port number. * Manpage improvements.

    2012-06-03 - Ian Jackson <ijackson@chiark.greenend.org.uk> authbind (2.0.1) unstable; urgency=low Bugfix: * 0-length ipv4 address masks (ie, 0.0.0.0/0) in byuid files wouldn't work because they would attempt a 32-bit shift. This was reported against Ubuntu in Launchpad but the but is here too. LP: #514278.

    2012-06-02 - Ian Jackson <ijackson@chiark.greenend.org.uk> authbind (2.0.0) unstable; urgency=medium Important new functionality: * Support IPv6. (Closes: #596921.) * Support ports 512-1023 if the user really wants. Explain the problem more clearly in the manpage. (Closes: 654706.) Bugfixes: * Correct manpage description of helper protocol to have actually-implemented byte order convention. (Closes: #651694.) * Improve wording in BUGS section of manpage about forking. Packaging fixes: * Remove shlibs files. These are not needed because nothing should actually link to libauthbind. * Update Standards-Version. * Upstream repo is now in git. * Change my email address. * Set Priority to optional as in ftpmaster override file.

    2007-09-23 - Ian Jackson <ian@davenant.greenend.org.uk> authbind (1.2.0) unstable; urgency=low * Block signals during our child's execution. Closes: #186439. * manpage: fix subtle error in description of interaction between set-id and LD_PRELOAD. Closes: #36890. * Say in manpage that we may not work properly with multithreaded programs. See also Bug#186439. * Make sure we don't try to encode errno's >127 in a status code. * New make variables for improved portability and customisation of locations: LIBS, libexec_dir, HELPER, BINTARGETS. * make clean removes *.core too. * #include <signal.h> in libauthbind.c. * Set SHELL=/bin/bash in debian/rules. Closes: #374586. * Revert Amaya's accidental change to CC= line in debian/rules. * Debian-native again. Closes: #393556. * Do not strip if DEB_BUILD_OPTIONS=nostrip (Closes: #436489): - in Makefile, do not set INSTALL_* or STRIP if already set - in rules, export STRIP=: if nostrip * Change my email address in Maintainer: to davenant.

    2006-07-12 - Amaya Rodrigo Sastre <amaya@debian.org> authbind (1.1.5.2-0.2) unstable; urgency=low * Non-maintainer upload. * Get rid of the /usr/doc link (Closes: #359363). * Revamped packaging a bit: - Get rid of Build-Depends on libc6-dev (build-essential) - spelling-error-in-copyright Debian/GNU Linux Debian GNU/Linux - Not debian-native anymore - Updated ancient-standards-version to 3.7.2, no changes needed.

    Advertisement
    Advertisement